XmFileSelectionBoxGetChild(3Xm)

NAME
XmFileSelectionBoxGetChild — a FileSelectionBox function that is used to access a component.

SYNOPSIS
#include <Xm/FileSB.h>

Widget XmFileSelectionBoxGetChild (widget, child)
    Widget    widget;
    unsigned char    child;

DESCRIPTION
XmFileSelectionBoxGetChild is used to access a component within a FileSelectionBox. The parameters given to the function are the FileSelectionBox widget and a value indicating which child to access.

widget
    Specifies the FileSelectionBox widget ID.

child
    Specifies a component within the FileSelectionBox. The following are legal values for this parameter:

•   XmDIALOG_APPLY_BUTTON.

•   XmDIALOG_CANCEL_BUTTON.

•   XmDIALOG_DEFAULT_BUTTON.

•   XmDIALOG_FILTER_LABEL.

•   XmDIALOG_FILTER_TEXT.

•   XmDIALOG_HELP_BUTTON.

•   XmDIALOG_LIST.

•   XmDIALOG_LIST_LABEL.

•   XmDIALOG_OK_BUTTON.

•   XmDIALOG_SELECTION_LABEL.

•   XmDIALOG_TEXT.

For a complete definition of FileSelectionBox and its associated resources, see XmFileSelectionBox(3Xm).

RETURN VALUE
Returns the widget ID of the specified FileSelectionBox child.

RELATED INFORMATION
XmFileSelectionBox(3Xm).